@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

body, header, main, footer {
    box-sizing: border-box;
}

/* ============================================== */
/* PÁGINA INDEX */
/* ============================================== */

#loader {
    position: fixed;
    inset: 0;
    z-index: 999999;
    background: #000;
}

.loop-container {
    position: relative;
    padding: clamp(0.5em, 1em, 2em) 0;
}

.loop-word {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    font-weight: 600;
    opacity: 0;
    transform: translateY(100%);
    transition:
        opacity 0.4s ease,
        transform 0.4s ease;
}

.loop-word.primary {
    color: var(--default-color-primary);
}

.loop-word.secondary {
    color: var(--default-color-secondary);
}

.loop-word.active {
    opacity: 1;
    transform: translateY(0);
}

.index-search-text {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
    width: 100%;
}

.index-location-search {
    position: relative;
    width: 90vw;
    display: flex;
    justify-content: center;
    max-width: 540px;
}

.index-location_search {
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
    width: 100%;
    height: 1.5em;
    font-size: 1em;
    border-radius: 1em;
    padding: 0.8em 1em;
    border: solid 2px var(--default-color-primary);
    box-shadow: 0px 0px 10px 0px var(--default-color-primary);
}

#location_results {
  position: absolute;
  background: var(--bg-color-primary);
  width: calc(90% + 1em + 2px);
  list-style: none;
  max-height: 220px;
  overflow-y: auto;
  z-index: 10;
  top: 100%;
}

#location_results li {
  padding: 8px;
  cursor: pointer;
  border-bottom: 1px solid var(--text-color-primary) ;
}

#location_results li:hover {
  background: var(--bg-color-primary);
}

.index-video-column {
    display: flex;
    flex-direction: column;
    align-self: center;
    width: 90%;
    gap: 1em;
}

.index-video-row {
    display: flex;
    gap: 1em;

    overflow-x: auto;
    overflow-y: hidden;

    overscroll-behavior-x: contain;
    scroll-behavior: smooth;

    width: 100%;
    max-width: 100vw;

    padding-top: 2em;
    padding-bottom: 1em;

    box-sizing: border-box;

    scroll-snap-type: x mandatory;

    scrollbar-width: none;

    justify-content: flex-start;

    padding-inline: max(1em, calc(50vw - 14dvh));
}

.index-video-row::-webkit-scrollbar {
    display: none;
}

.carousel-video {
    flex: 0 0 auto;

    height: 50dvh;
    aspect-ratio: 9 / 16;

    border-radius: 1em;
    background: #000;

    scroll-snap-align: center;

    transition:
        transform 0.4s ease,
        opacity 0.4s ease;

    opacity: 0.5;
}

.carousel-video.is-active {
    transform: scale(1.05);
    opacity: 1;
}


.index-security-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    gap: 1em;
}

.index-range-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    gap: 1em;
}

.shorts-video {
    max-height: 70dvh;
    max-width: 80vw;
    aspect-ratio: 9/16;
    border-radius: 1em;
}


.index-tax-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    gap: 1em;
}




.icon-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #ccc;
  text-align: center;
}

.icon-box i {
  font-size: 32px;
  color: #fff;
  margin-bottom: 8px;
}

.icon-box span {
  font-size: 14px;
  opacity: 0.8;
}


.text-wrapper-container {
    padding-bottom: 2em;
    border-bottom: 1px solid var(--text-color-primary);
    width: 90%;
}

.text-wrapper {
    max-height: 20dvh;
    overflow: hidden;
    transition: max-height 0.4s ease;
    position: relative;

    display: flex;
    flex-direction: column;
    gap: 1em;
}

.text-wrapper::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;

    width: 100%;
    height: 60px;

    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0),
        var(--bg-color-primary)
    );

    pointer-events: none;
}

.text-wrapper.expanded {
    max-height: 3000px;
}

.text-wrapper.expanded::after {
    opacity: 0;
}

.btn-ver-mais {
    background: none;
    border: none;
    font-size: 1rem;
    color: var(--text-color-primary);
    cursor: pointer;
    margin-top: 1rem;

    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.btn-ver-mais .arrow {
    transition: transform 0.3s ease;
}

.btn-ver-mais.active .arrow {
    transform: rotate(180deg);
}




/* ============================================== */
/* PÁGINA DE REGISTRO */
/* ============================================== */

.register-title {
    display: flex;
    flex-direction: column;
    padding-bottom: 2em;
    gap: 1em;
    width: calc(80vw + 1em);
    max-width: calc(360px + 2em);
}

.register-title h2 {
    font-size: 2.5em;
    text-align: left;
}

.register-tab {
    display: none;
}

.register-tab.active {
    display: flex;
}


/* ============================================== */
/* PÁGINA DE REGISTRO TAB 1 */
/* ============================================== */

#register-tab-1 {
    padding-top: 10vw;
    padding-top: clamp(0px, 10vw, 48px);
    flex-direction: column;
    align-items: center;
    max-width: calc(360px + 2em);
    gap: 1em;
    width: calc(80vw + 1em);
}

#register-tab-1 input {
    width: calc(100% - 2em);
}

.checkbox-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 0.5em;
    padding: 1em 0;
}

.checkbox-line {
    display: flex;
    flex-direction: row;
    align-items: start;
    gap: 1em;
}

#register-tab-1 #emailTerms,
#register-tab-1 #registerTerms,
#register-tab-1 #whatsappTerms {
    width: 1em;
    height: 1em;
    margin: 0;
}

#register-tab-1 a {
    font-size: 1em;
}

#register-tab-1 button {
    width: calc(80vw + 1em);
    max-width: calc(360px + 2em);
    margin-top: 1em;
}

#register-tab-1 .already-register {
    width: calc(80vw + 1em);
    max-width: calc(360px + 2em);
    height: 2.5em;
    text-align: center;
    align-content: center;
    text-decoration: none;
    color: var(--text-color-primary);
}

/* ============================================== */
/* PÁGINA DE REGISTRO TAB 2 */
/* ============================================== */

#register-tab-2 {
    flex-direction: column;
    align-items: center;
    padding-top: clamp(0px, 10vw, 48px);
    padding-bottom: clamp(0px, 10vw, 48px);
}

.role-selector {
    display: flex;
    max-width: 450px;
}

.role-selector input[type="radio"] {
    display: none;
}

.role-option {
    flex: 1;
    cursor: pointer;
    transition: opacity 0.3s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    opacity: 0.8;
    margin-bottom: 2em;
}

.role-option img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}

.role-selector .role-option span {
    opacity: 1;
    padding: 0.5em;
    font-size: 1em;
    color: var(--text-color-primary);
}

#identify_client:checked + .role-option,
#identify_model:checked + .role-option {
    opacity: 1;
    filter: grayscale(0%);
    box-shadow: 0px 5px 20px 10px rgba(0,183,255,0.4);
}

.role-option:not(:has(input:checked)) {
    opacity: 0.25;
    filter: grayscale(100%);
}

#register-tab-2 button {
    width: calc(80vw + 1em);
    max-width: 450px;
    margin-top: 1em;
}

/* ============================================== */
/* PÁGINA DE REGISTRO TAB 3 */
/* ============================================== */

#register-tab-3 {
    flex-direction: column;
    align-items: center;
    padding-top: clamp(0px, 10vw, 48px);
    padding-bottom: clamp(0px, 10vw, 48px);
    width: calc(80vw + 1em);
    max-width: 450px;
}

.card-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1em;
    justify-content: center;
    margin-bottom: 2em;
}

@media (max-width: 768px) {
    .card-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

.card-grid input {
    display: none;
}

.card {
    max-width: 165px;
    aspect-ratio: 1/1;
    background: var(--bg-color-primary);
    border: 2px solid var(--bg-color-tertiary);
    border-radius: 0.5em;
    padding: 1em;
    text-align: center;
    cursor: pointer;
    color: #fff;
    align-content: center;
    transition: border 0.25s ease, box-shadow 0.25s ease;
}

.card-section.blue input:checked + .card {
    border-color: #00b7ff;
    box-shadow: 0 0 10px rgba(0,183,255,0.6);
}

.card-section.pink input:checked + .card {
    border-color: #ff007a;
    box-shadow: 0 0 10px rgba(255,0,122,0.6);
}

.card i {
    font-size: 1.8em;
    margin-bottom: 0.3em;
    display: block;
}

#register-tab-3 button {
    width: calc(80vw + 1em);
    max-width: 450px;
    margin-top: 1em;
}

/* ============================================== */
/* PÁGINA DE REGISTRO TAB 4 */
/* ============================================== */

#register-tab-4 {
    padding-top: clamp(0px, 10vw, 48px);
    flex-direction: column;
    gap: 1em;
}

.location-select {
  display: flex;
  flex-direction: column;
  gap: 1em;
  max-width: 400px;
  margin-bottom: clamp(0px, 10vw, 48px);
}

.location-select select {
  background: #0d0d0d;
  color: #fff;
  padding: 1em;
  border-radius: 12px;
  border: 1px solid #333;
  font-size: 1em;
}

.location-select select:disabled {
  opacity: 0.4;
}

/* ============================================== */
/* PÁGINA DE RECUPERAÇÃO DE SENHA */
/* ============================================== */



/* ============================================== */
/* PÁGINA DE LOGIN */
/* ============================================== */

.login-container {
    padding-top: 10vw;
    padding-top: clamp(0px, 10vw, 48px);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1em;
    max-width: calc(360px + 2em);
}

.login-container h2 {
    font-size: 2.5em;
    text-align: left;
    width: calc(80vw);
    max-width: calc(360px + 2em);
    padding-bottom: 1em;
    align-self: flex-start;
}

.login-container input {
    width: calc(100% - 2em);
}

.login-container a {
    width: calc(80vw + 1em);
    max-width: calc(360px + 2em);
    height: 2.5em;
    text-align: center;
    align-content: center;
    text-decoration: none;
    color: var(--text-color-primary);
}

.login-container button {
    width: calc(80vw + 1em);
    max-width: calc(360px + 2em);
    margin-top: 1em;
}

.login-error {
    width: calc(80vw + 1em);
    max-width: calc(360px + 2em);

    background: rgba(255, 0, 99, 0.12);

    border: 1px solid rgba(255, 0, 99, 0.35);

    color: #ff4d88;

    padding: 1em;

    border-radius: 0.8em;

    font-size: 0.9em;

    display: none;
}

/* ============================================== */
/* PÁGINA DE EDIÇÃO DE MODELO */
/* ============================================== */

.input-with-unit {
    display: flex;
    align-items: center;
    gap: 6px;
}

.input-with-unit input {
    width: 100px;
}

.input-with-unit .unit {
    font-size: 14px;
    opacity: 0.7;
}

.input-usuario {
  display: flex;
  align-items: center;
}

.input-usuario span {
  padding: 0 8px;
  background: #eee;
  border: 1px solid #ccc;
  border-right: none;
  border-radius: 4px 0 0 4px;
}

.input-usuario input {
  border-radius: 0 4px 4px 0;
}


/* ============================================== */
/* PÁGINA DE ACOMPANHANTES */
/* ============================================== */



.acompanhantes-search-block {
    width: 100%;
}

.acompanhantes-location-search {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    max-width: 600px;
}


.acompanhantes-location_search {
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
    width: 100%;
    height: calc(7dvh - (2 * 0.8em));
    font-size: 1em;
    padding: 0.8em 1em;
    border: none;
    border-bottom: 1px solid var(--text-color-secondary);
    outline: none;   
}